buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marc-André Laverdière <marcandre.laverdi...@gmail.com>
Subject Re: Error on buildr release
Date Mon, 31 Jan 2011 06:07:22 GMT
Hi,

It doesn't look like it.

marc-andre@01HW175292:~$ file /usr/bin/ruby1.8
/usr/bin/ruby1.8: ELF 32-bit LSB executable, Intel 80386, version 1
(SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.15,
stripped

However, I'm guessing that my shell script for Buildr is messing
things up. I'll try with JRuby or the stock Ruby.

Marc-André LAVERDIÈRE
"Perseverance must finish its work so that you may be mature and
complete, not lacking anything." -James 1:4
http://asimplediscipleslife.blogspot.com/
mlaverd.theunixplace.com



2011/1/31 Alex Boisvert <alex.boisvert@gmail.com>:
> My guess is that /usr/bin/ruby1.8 is a shell script which isn't faithful to
> the original ruby executable parameter handling and therefore it's most
> likely a problem with your specific environment.
>
> I'd suggest uninstalling (cleaning up) + reinstalling ruby on your system.
>
> alex
>
>
> 2011/1/30 Marc-André Laverdière <marcandre.laverdiere@gmail.com>
>
>> Hi,
>>
>> No good...
>>
>> marc-andre@01HW175292:~$ /usr/bin/ruby1.8 -S buildr
>> /bin/bash: -S: invalid option
>> Usage:  /bin/bash [GNU long option] [option] ...
>>        /bin/bash [GNU long option] [option] script-file ...
>> GNU long options:
>>        --debug
>>        --debugger
>>        --dump-po-strings
>>        --dump-strings
>>        --help
>>        --init-file
>>        --login
>>        --noediting
>>        --noprofile
>>        --norc
>>        --posix
>>        --protected
>>        --rcfile
>>        --restricted
>>        --verbose
>>        --version
>> Shell options:
>>        -irsD or -c command or -O shopt_option          (invocation only)
>>        -abefhkmnptuvxBCHP or -o option
>>
>>
>> Marc-André LAVERDIÈRE
>> "Perseverance must finish its work so that you may be mature and
>> complete, not lacking anything." -James 1:4
>> http://asimplediscipleslife.blogspot.com/
>> mlaverd.theunixplace.com
>>
>>
>>
>> 2011/1/28 Alex Boisvert <alex.boisvert@gmail.com>:
>> > Hmmm, not sure what's going on... if you run "/usr/bin/ruby1.8 -S buildr"
>> on
>> > your system, does it run buildr correctly?
>> >
>> > You may want to try with "buildr -v --trace=all" to get more debugging
>> > information.
>> >
>> > alex
>> >
>> > 2011/1/28 Marc-André Laverdière <marcandre.laverdiere@gmail.com>
>> >
>> >> ruby 1.8.7 (2010-06-23 patchlevel 299) [i686-linux]
>> >>
>> >> Marc-André LAVERDIÈRE
>> >> "Perseverance must finish its work so that you may be mature and
>> >> complete, not lacking anything." -James 1:4
>> >> http://asimplediscipleslife.blogspot.com/
>> >> mlaverd.theunixplace.com
>> >>
>> >>
>> >>
>> >> 2011/1/28 Alex Boisvert <alex.boisvert@gmail.com>:
>> >> > What's the output for:
>> >> >
>> >> > /usr/bin/ruby1.8 -v
>> >> >
>> >> > on your system?
>> >> >
>> >> > alex
>> >> >
>> >> >
>> >> > 2011/1/26 Marc-André Laverdière <marcandre.laverdiere@gmail.com>
>> >> >
>> >> >> Hi. I've been trying to do releases now, and I'm getting this error
>> >> >> message:
>> >> >>
>> >> >> marc-andre@01HW175292:~/workspace/ABC/XYZ$ buildr release --verbose
>> >> >> (in /home/marc-andre/workspace/ABC/XYZ, development)
>> >> >> /usr/bin/ruby1.8 -S buildr _1.4.4_ --buildfile
>> >> >> /home/marc-andre/workspace/ABC/XYZ/buildfile.next --environment
>> >> >> development clean upload DEBUG=no
>> >> >> /bin/bash: -S: invalid option
>> >> >> Usage:  /bin/bash [GNU long option] [option] ...
>> >> >>        /bin/bash [GNU long option] [option] script-file ...
>> >> >> GNU long options:
>> >> >>        --debug
>> >> >>        --debugger
>> >> >>        --dump-po-strings
>> >> >>        --dump-strings
>> >> >>        --help
>> >> >>        --init-file
>> >> >>        --login
>> >> >>        --noediting
>> >> >>        --noprofile
>> >> >>        --norc
>> >> >>        --posix
>> >> >>        --protected
>> >> >>        --rcfile
>> >> >>        --restricted
>> >> >>        --verbose
>> >> >>        --version
>> >> >> Shell options:
>> >> >>        -irsD or -c command or -O shopt_option          (invocation
>> only)
>> >> >>        -abefhkmnptuvxBCHP or -o option
>> >> >> rm /home/marc-andre/workspace/ABC/XYZ/buildfile.next
>> >> >> Buildr aborted!
>> >> >> RuntimeError : Command failed with status (2): [/usr/bin/ruby1.8
-S
>> >> >> buildr _1.4.4_ --build...]
>> >> >>
>> >> >> How can I fix it?
>> >> >>
>> >> >> Regards,
>> >> >>
>> >> >> Marc-André LAVERDIÈRE
>> >> >> "Perseverance must finish its work so that you may be mature and
>> >> >> complete, not lacking anything." -James 1:4
>> >> >> http://asimplediscipleslife.blogspot.com/
>> >> >> mlaverd.theunixplace.com
>> >> >>
>> >> >
>> >>
>> >
>>
>

Mime
View raw message